Share via


Web Apps - Update Connection Strings Slot

Description for Replaces the connection strings of an app.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/config/connectionstrings?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

slot
path True

string

Name of the deployment slot. By default, this API returns the production slot.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
kind

string

Kind of resource.

properties.

ConnStringValueTypePair

Database connection string value to type pair.

Responses

Name Type Description
200 OK

ConnectionStringDictionary

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
ConnectionStringDictionary

String dictionary resource.

ConnectionStringType

Type of database.

ConnStringValueTypePair

Database connection string value to type pair.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

ConnectionStringDictionary

String dictionary resource.

Name Type Description
id

string

Resource Id.

kind

string

Kind of resource.

name

string

Resource Name.

properties.

ConnStringValueTypePair

Database connection string value to type pair.

type

string

Resource type.

ConnectionStringType

Type of database.

Value Description
MySql
SQLServer
SQLAzure
Custom
NotificationHub
ServiceBus
EventHub
ApiHub
DocDb
RedisCache
PostgreSQL

ConnStringValueTypePair

Database connection string value to type pair.

Name Type Description
type

ConnectionStringType

Type of database.

value

string

Value of pair.

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.